Skip to main content
PUT
Update a launched collection's metadata

Authorizations

API-KEY
string
header
required

Caller-specific VibeChain API key used for quota and abuse control.

Authorization
string
header
required

Signed-in vibe.market session token. The account's linked wallets determine creator ownership.

Path Parameters

slugOrContractAddress
string
required

Collection contract address for this PUT operation.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Body

application/json
creator
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x1111111111111111111111111111111111111111"

metadataItems
object[]
required

Required by the API. Four or more items are required unless noImageChange is true.

bgColor
string
slug
string
disableFoil
boolean
default:false
disableWear
boolean
default:false
description
string
isNSFW
boolean
default:false
noImageChange
boolean
default:false

Response

Metadata update accepted

success
enum<boolean>
required
Available options:
true
message
string
required
metadata
object[]
required
noImageChange
boolean
required
version
integer